Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class EnterpriseType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.EnterpriseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EnterpriseType extends Object implements Serializable
Generiek type voor een firma.

Java class for EnterpriseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EnterpriseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Address" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
             <element name="PhoneNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ChangedEnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnterpriseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressType`
  `getAddress()`
  Adres van de firma.
  `String`
  `getChangedEnterpriseNumber()`
  Ondernemingsnummer indien dit zou gewijzigd zijn.
  `String`
  `getEnterpriseNumber()`
  Ondernemingsnummer van de firma.
  `String`
  `getName()`
  Naam van de firma.
  `String`
  `getPhoneNumber()`
  Telefoonnummer van de firma.
  `void`
  `setAddress(AddressType value)`
  Sets the value of the address property.
  `void`
  `setChangedEnterpriseNumber(String value)`
  Sets the value of the changedEnterpriseNumber property.
  `void`
  `setEnterpriseNumber(String value)`
  Sets the value of the enterpriseNumber property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setPhoneNumber(String value)`
  Sets the value of the phoneNumber property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnterpriseType

    public EnterpriseType()

- ## Method Details

  - ### getEnterpriseNumber

    public String getEnterpriseNumber()
    Ondernemingsnummer van de firma.
    Returns:
      possible object is `String`

  - ### setEnterpriseNumber

    public void setEnterpriseNumber(String value)
    Sets the value of the enterpriseNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEnterpriseNumber()`

  - ### getName

    public String getName()
    Naam van de firma.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`

  - ### getAddress

    public AddressType getAddress()
    Adres van de firma.
    Returns:
      possible object is `AddressType`

  - ### setAddress

    public void setAddress(AddressType value)
    Sets the value of the address property.
    Parameters:
      `value` - allowed object is `AddressType`
    See Also:
      - `getAddress()`

  - ### getPhoneNumber

    public String getPhoneNumber()
    Telefoonnummer van de firma.
    Returns:
      possible object is `String`

  - ### setPhoneNumber

    public void setPhoneNumber(String value)
    Sets the value of the phoneNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPhoneNumber()`

  - ### getChangedEnterpriseNumber

    public String getChangedEnterpriseNumber()
    Ondernemingsnummer indien dit zou gewijzigd zijn. Dit is louter ter info.
    Returns:
      possible object is `String`

  - ### setChangedEnterpriseNumber

    public void setChangedEnterpriseNumber(String value)
    Sets the value of the changedEnterpriseNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getChangedEnterpriseNumber()`